<?xml version="1.0" encoding="UTF-8"?>

<!--
  ~
  ~      Copyright (c) 2018-2025, lengleng All rights reserved.
  ~
  ~  Redistribution and use in source and binary forms, with or without
  ~  modification, are permitted provided that the following conditions are met:
  ~
  ~ Redistributions of source code must retain the above copyright notice,
  ~  this list of conditions and the following disclaimer.
  ~  Redistributions in binary form must reproduce the above copyright
  ~  notice, this list of conditions and the following disclaimer in the
  ~  documentation and/or other materials provided with the distribution.
  ~  Neither the name of the yifu4cloud.com developer nor the names of its
  ~  contributors may be used to endorse or promote products derived from
  ~  this software without specific prior written permission.
  ~  Author: lengleng (wangiegie@gmail.com)
  ~
  -->

<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">

<mapper namespace="com.yifu.cloud.plus.v1.yifu.social.mapper.TSocialFriendReduceSetMapper">

	<resultMap id="tSocialFriendReduceSetMap" type="com.yifu.cloud.plus.v1.yifu.social.entity.TSocialFriendReduceSet">
		<id property="id" column="ID"/>
		<result property="reduceReasonName" column="REDUCE_REASON_NAME"/>
		<result property="tbyy" column="TBYY"/>
		<result property="zzyy" column="ZZYY"/>
		<result property="bajcejyy" column="BAJCEJYY"/>
		<result property="mvpKey" column="MVP_KEY"/>
		<result property="mvpType" column="MVP_TYPE"/>
	</resultMap>
	<sql id="Base_Column_List">
		a.ID,
		a.TBYY,
		a.ZZYY,
		a.BAJCEJYY,
		a.MVP_KEY,
		a.MVP_TYPE
	</sql>
	<!--tSocialFriendReduceSet简单分页查询-->
	<select id="getTSocialFriendReduceSetList" resultMap="tSocialFriendReduceSetMap">
		SELECT
			<include refid="Base_Column_List"/>
		FROM t_social_friend_reduce_set a
		where a.MVP_TYPE = #{mvpType}
	</select>
</mapper>
